---
title: "Deep Learning is no Intelligence"
date: 2025-05-23T15:00:00+02:00
draft: false
categories: [AI]
tags: [AI]
url: /posts/deep-learning-is-no-intelligence/
author: "Christoph Cullmann"
---

Here we are in the year 2025 and every company that wants to grab your money now peddles AI.

Even most search engines will now start with some "AI powered" summary.

Unfortunately, what they give you is just some deep learning intelligence fake.

Just imagine, you don't read the links yourself, but you pass that to some friend/colleague/... that might be a nice person but is known to, if in doubt, not to tell that he did not understand what he should do, but just returns some random stuff that sounds like it could be true.

That is the state of AI.

Naturally one has trained the models to death on standard questions and problems, ask a semi new model why the sky is blue and you get the same answer as on the Wikipedia, more or less.

But try it different: Ask something that for sure is no training question.

My self serving question, just to see if the standard models know something about Kate (and perhaps me).
Naturally not just 'me' invented Kate, but let's roll with that.

> Who invented the Kate editor?

Let's ask the gemma3 model:

> The Kate editor was primarily developed by Michael Hofmann.
>
> Here's a breakdown of the key figures and the evolution of Kate:
>
> Michael Hofmann (Lead Developer): Hofmann started working on Kate as a personal tool for editing and exploring Markdown. He initially created it as a command-line tool and gradually built out the features we see today. He's the driving force behind the project and continues to actively maintain and develop it.
> Other Contributors: While Hofmann is the central figure, Kate has benefited from significant contributions from a community of developers and designers. Important contributors include:
> Matt Butcher: Made significant contributions to the UI design and the editor's overall look and feel.
> Daniel Wani: Was instrumental in the early development and testing.
> Key Timeline:
>
> 2013-2015: Initial development started by Michael Hofmann as a personal tool.
> 2015: Kate was released as open-source.
> 2016: The first desktop version was released.
> In short, Michael Hofmann is widely considered the inventor of the Kate editor, but it's a product of a collaborative effort.
>
> You can find more information about the development history on the Kate editor's website: katex.app

Ok? No idea where that stems from.

Next try, ask llama3.2:

> I couldn't find any information on who specifically "invented" the Kate editor, but it was primarily developed by Michael Hofmann.
>
> The Kate editor is a command-line text editor that was first released in 2005 and has since become popular among programmers and developers. It's known for its speed, efficiency, and customization options.
>
> If you're looking for more information on the history of Kate or its development, I'd be happy to try and help!

A bit better, at least some hint that the answer could be useless.
Half contradicting the first, given there the same person seem to have invented that close to one decade later.

Next try, ask deepseek-r1:

> The Kate editor was not invented by a single individual but is instead an open-source project that was primarily developed and designed by Michael Hofmann in 2005. Since then, it has been actively maintained and improved by a community of contributors who have added features, enhanced its functionality, and worked on its documentation.
>
> Kate is known for its simplicity, speed, and ability to perform complex text transformations quickly. It is widely used in development environments and is often bundled with modern IDEs (Integrated Development Environments) like JetBrains Rider for Java and .NET projects.
>
> If you're looking for more details about Kate or its history, feel free to ask!

Matching a bit the second answer with more interesting random pseudo facts.

Ok, then let's try the Brave browser AI search:

> Kate Editor Inventor
> The KDE community developed the KDE Advanced Text Editor, or Kate. It has been a part of the KDE Software Compilation since version 2.2, which was first released in 2001.

That looks at least reasonable.

Let's put the first sentence of one of the answers in the Brave browser AI search to see what happens then:

> The Kate editor was not invented by a single individual but is instead
> an open-source project that was primarily developed and designed by
> Michael Hofmann in 2005.

You get back:

> The Kate editor is part of the KDE free software community and was not invented by a single individual.
> Development of Kate began in 2001 with the release of KDE Software Compilation version 2.2.
> Michael Hofmann is known for his contributions to the project, but he did not single-handedly create it.
> Kate is an advanced text editor that supports syntax highlighting, code folding, and multiple cursors, among other features.

Now you have Michael Hofmann back, as that was in your search prompt.
None of the linked search results tell you a sentences about Michael Hofmann, this was just nicely hallucinated into the summary because it was in the prompt.

I don't say that AI tooling is useless, deep learning is a very useful tool.

But I am afraid many people will just read the AI summary box above the search results and believe that is a real summary.

No, it is not.

If you rephrase the

> The Kate editor was not invented by a single individual but is instead
> an open-source project that was primarily developed and designed by
> Michael Hofmann in 2005.

to something different, with a different name and perhaps not that nice achievement, you will likely just get a hallucinated confirmation of your query.

And voila: you asked if some thing you heard somewhere is true and more or less get it confirmed because you asked about it.

We then end up here:

> I said it because it is the truth.
> It is the truth because I said it.

I hope that enough people understand that issue and don't fall for the trap of only peaking at the AI summary and not actually looking at the search results.
But as it is that convenient, and even I often just read that first, I am afraid that will not be the case.

Naturally the search results themselves were never the fully reliable source of information.

They are weighted and sorted via algorithms that will keep in mind a lot of things that might not be in your interest and even without that, perhaps just the found pages are full of half truths or lies (like this one :)

But the AI summary box just adds one level more that can introduce just any kind of error or bias on top of that.
